// Test of Doxygen bug
/**
 * @file code.c
 * Sample source file
 */

#include <platform_options.h>
#include <stdio.h>
#include <stdlib.h>

#ifdef FOO
 #define PRINT_ME 0xAA
#elif defined BAR
 #define PRINT_ME 0xBB
#else
 #define PRINT_ME 0x00
#endif

#ifdef USE_PLATFORM_A
 volatile const char platform = 'A';
#else
 volatile const char platform = 'Z';
#endif

void do_something(void)
{
  printf("[%i]: 0x%x\n", rand(), PRINT_ME);
}

int main (void)
{
  do_something();
  return 0;
}

